# coding=utf-8
# *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import copy
import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from .. import _utilities

__all__ = [
    'GetIamPoliciesResult',
    'AwaitableGetIamPoliciesResult',
    'get_iam_policies',
]

@pulumi.output_type
class GetIamPoliciesResult:
    """
    A collection of values returned by getIamPolicies.
    """
    def __init__(__self__, id=None, policies=None):
        if id and not isinstance(id, str):
            raise TypeError("Expected argument 'id' to be a str")
        pulumi.set(__self__, "id", id)
        if policies and not isinstance(policies, list):
            raise TypeError("Expected argument 'policies' to be a list")
        pulumi.set(__self__, "policies", policies)

    @property
    @pulumi.getter
    def id(self) -> str:
        """
        The provider-assigned unique ID for this managed resource.
        """
        return pulumi.get(self, "id")

    @property
    @pulumi.getter
    def policies(self) -> Sequence[str]:
        """
        List of the policies IDs.
        """
        return pulumi.get(self, "policies")


class AwaitableGetIamPoliciesResult(GetIamPoliciesResult):
    # pylint: disable=using-constant-test
    def __await__(self):
        if False:
            yield self
        return GetIamPoliciesResult(
            id=self.id,
            policies=self.policies)


def get_iam_policies(opts: Optional[pulumi.InvokeOptions] = None) -> AwaitableGetIamPoliciesResult:
    """
    Use this data source to list the existing IAM policies of an account.

    ## Important

    > Using this resource requires that the account is enrolled in the OVHcloud [IAM beta](https://labs.ovhcloud.com/en/iam/)

    ## Example Usage

    ```python
    import pulumi
    import pulumi_ovh as ovh

    my_policies = ovh.Dbaas.get_iam_policies()
    ```
    """
    __args__ = dict()
    opts = pulumi.InvokeOptions.merge(_utilities.get_invoke_opts_defaults(), opts)
    __ret__ = pulumi.runtime.invoke('ovh:Dbaas/getIamPolicies:getIamPolicies', __args__, opts=opts, typ=GetIamPoliciesResult).value

    return AwaitableGetIamPoliciesResult(
        id=pulumi.get(__ret__, 'id'),
        policies=pulumi.get(__ret__, 'policies'))
